Bug 1568350

Summary: qxl_surface_evict calls sleeping function while in_atomic()
Product: [Fedora] Fedora Reporter: Sami Farin <hvtaifwkbgefbaei>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: airlied, bskeggs, ewk, hdegoede, ichavero, itamar, jarodwilson, jglisse, john.j5live, jonathan, josef, kernel-maint, linville, mchehab, mjg59, steved
Target Milestone: ---Flags: jforbes: needinfo?
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-08-29 15:11:19 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Sami Farin 2018-04-17 10:21:09 UTC
Description of problem:

[    0.000000] Linux version 4.15.16-300.fc27.x86_64+debug (mockbuild@bkernel02.phx2.fedoraproject.org) (gcc version 7.3.1 20180303 (Red Hat 7.3.1-5) (GCC)) #1 SMP Mon Apr 9 17:21:37 UTC 2018
[    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.15.16-300.fc27.x86_64+debug ro root=UUID=bd6e33c8-b203-47d3-ba11-032f3e23269e console=tty1 console=ttyS0,115200n8 rd.vconsole.keymap=fi rd.vconsole.font=ter-v32b rd.locale.LANG=en_US.UTF-8 vconsole.keymap=fi vconsole.font=ter-v32b locale.LANG=en_US.UTF-8 scsi_mod.use_blk_mq=Y rcu_nocbs=0-11 debug initrd=/boot/initramfs-4.15.16-300.fc27.x86_64+debug.img
[    0.000000] x86/fpu: Supporting XSAVE feature 0x001: 'x87 floating point registers'
[    0.000000] x86/fpu: Supporting XSAVE feature 0x002: 'SSE registers'
[    0.000000] x86/fpu: Supporting XSAVE feature 0x004: 'AVX registers'
[    0.000000] x86/fpu: xstate_offset[2]:  576, xstate_sizes[2]:  256
[    0.000000] x86/fpu: Enabled xstate features 0x7, context size is 832 bytes, using 'standard' format.
[    0.000000] e820: BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009fbff] usable
[    0.000000] BIOS-e820: [mem 0x000000000009fc00-0x000000000009ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000000f0000-0x00000000000fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x000000007ffdefff] usable
[    0.000000] BIOS-e820: [mem 0x000000007ffdf000-0x000000007fffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000feffc000-0x00000000feffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fffc0000-0x00000000ffffffff] reserved
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] random: fast init done
[    0.000000] SMBIOS 2.8 present.
[    0.000000] DMI: QEMU Standard PC (i440FX + PIIX, 1996), BIOS 1.10.2-2.fc27 04/01/2014
[    0.000000] Hypervisor detected: KVM
[    0.000000] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
[    0.000000] e820: remove [mem 0x000a0000-0x000fffff] usable
[    0.000000] e820: last_pfn = 0x7ffdf max_arch_pfn = 0x400000000
[    0.000000] MTRR default type: write-back
[    0.000000] MTRR fixed ranges enabled:
[    0.000000]   00000-9FFFF write-back
[    0.000000]   A0000-BFFFF uncachable
[    0.000000]   C0000-FFFFF write-protect
[    0.000000] MTRR variable ranges enabled:
[    0.000000]   0 base 0080000000 mask FF80000000 uncachable
[    0.000000]   1 disabled
[    0.000000]   2 disabled
[    0.000000]   3 disabled
[    0.000000]   4 disabled
[    0.000000]   5 disabled
[    0.000000]   6 disabled
[    0.000000]   7 disabled
[    0.000000] x86/PAT: Configuration [0-7]: WB  WC  UC- UC  WB  WP  UC- WT  
[    0.000000] found SMP MP-table at [mem 0x000f6ba0-0x000f6baf] mapped at [        (ptrval)]
[    0.000000] Scanning 1 areas for low memory corruption
[    0.000000] Base memory trampoline at [        (ptrval)] 99000 size 24576
[    0.000000] Using GB pages for direct mapping
[    0.000000] BRK [0x67ffa000, 0x67ffafff] PGTABLE
[    0.000000] BRK [0x67ffb000, 0x67ffbfff] PGTABLE
[    0.000000] BRK [0x67ffc000, 0x67ffcfff] PGTABLE
[    0.000000] BRK [0x67ffd000, 0x67ffdfff] PGTABLE
[    0.000000] BRK [0x67ffe000, 0x67ffefff] PGTABLE
[    0.000000] BRK [0x67fff000, 0x67ffffff] PGTABLE
[    0.000000] RAMDISK: [mem 0x7d47c000-0x7ffdefff]
[    0.000000] ACPI: Early table checksum verification disabled
[    0.000000] ACPI: RSDP 0x00000000000F6B50 000014 (v00 BOCHS )
[    0.000000] ACPI: RSDT 0x000000007FFE14D0 000030 (v01 BOCHS  BXPCRSDT 00000001 BXPC 00000001)
[    0.000000] ACPI: FACP 0x000000007FFE1304 000074 (v01 BOCHS  BXPCFACP 00000001 BXPC 00000001)
[    0.000000] ACPI: DSDT 0x000000007FFDFD40 0015C4 (v01 BOCHS  BXPCDSDT 00000001 BXPC 00000001)
[    0.000000] ACPI: FACS 0x000000007FFDFD00 000040
[    0.000000] ACPI: APIC 0x000000007FFE13F8 0000A0 (v01 BOCHS  BXPCAPIC 00000001 BXPC 00000001)
[    0.000000] ACPI: HPET 0x000000007FFE1498 000038 (v01 BOCHS  BXPCHPET 00000001 BXPC 00000001)
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] No NUMA configuration found
[    0.000000] Faking a node at [mem 0x0000000000000000-0x000000007ffdefff]
[    0.000000] NODE_DATA(0) allocated [mem 0x7d451000-0x7d47bfff]
[    0.000000] kvm-clock: cpu 0, msr 0:7d3d0001, primary cpu clock
[    0.000000] kvm-clock: Using msrs 4b564d01 and 4b564d00
[    0.000000] kvm-clock: using sched offset of 25185581849 cycles
[    0.000000] clocksource: kvm-clock: mask: 0xffffffffffffffff max_cycles: 0x1cd42e4dffb, max_idle_ns: 881590591483 ns
[    0.000000] Zone ranges:
[    0.000000]   DMA      [mem 0x0000000000001000-0x0000000000ffffff]
[    0.000000]   DMA32    [mem 0x0000000001000000-0x000000007ffdefff]
[    0.000000]   Normal   empty
[    0.000000]   Device   empty
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x0000000000001000-0x000000000009efff]
[    0.000000]   node   0: [mem 0x0000000000100000-0x000000007ffdefff]
[    0.000000] Initmem setup node 0 [mem 0x0000000000001000-0x000000007ffdefff]
[    0.000000] On node 0 totalpages: 524157
[    0.000000]   DMA zone: 64 pages used for memmap
[    0.000000]   DMA zone: 21 pages reserved
[    0.000000]   DMA zone: 3998 pages, LIFO batch:0
[    0.000000]   DMA32 zone: 8128 pages used for memmap
[    0.000000]   DMA32 zone: 520159 pages, LIFO batch:31
[    0.000000] Reserved but unavailable: 98 pages
[    0.000000] ACPI: PM-Timer IO Port: 0x608
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0xff] dfl dfl lint[0x1])
[    0.000000] IOAPIC[0]: apic_id 0, version 17, address 0xfec00000, GSI 0-23
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 5 global_irq 5 high level)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 10 global_irq 10 high level)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 11 global_irq 11 high level)
[    0.000000] ACPI: IRQ0 used by override.
[    0.000000] ACPI: IRQ5 used by override.
[    0.000000] ACPI: IRQ9 used by override.
[    0.000000] ACPI: IRQ10 used by override.
[    0.000000] ACPI: IRQ11 used by override.
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000
[    0.000000] smpboot: Allowing 6 CPUs, 0 hotplug CPUs
[    0.000000] PM: Registered nosave memory: [mem 0x00000000-0x00000fff]
[    0.000000] PM: Registered nosave memory: [mem 0x0009f000-0x0009ffff]
[    0.000000] PM: Registered nosave memory: [mem 0x000a0000-0x000effff]
[    0.000000] PM: Registered nosave memory: [mem 0x000f0000-0x000fffff]
[    0.000000] e820: [mem 0x80000000-0xfeffbfff] available for PCI devices
[    0.000000] Booting paravirtualized kernel on KVM
[    0.000000] clocksource: refined-jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 1910969940391419 ns
[    0.000000] setup_percpu: NR_CPUS:8192 nr_cpumask_bits:6 nr_cpu_ids:6 nr_node_ids:1
[    0.000000] percpu: Embedded 494 pages/cpu @        (ptrval) s1986560 r8192 d28672 u2097152
[    0.000000] pcpu-alloc: s1986560 r8192 d28672 u2097152 alloc=1*2097152
[    0.000000] pcpu-alloc: [0] 0 [0] 1 [0] 2 [0] 3 [0] 4 [0] 5 
[    0.000000] KVM setup async PF for cpu 0
[    0.000000] kvm-stealtime: cpu 0, msr 79fe4040
[    0.000000] Built 1 zonelists, mobility grouping on.  Total pages: 515944
[    0.000000] Policy zone: DMA32
[    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.15.16-300.fc27.x86_64+debug ro root=UUID=bd6e33c8-b203-47d3-ba11-032f3e23269e console=tty1 console=ttyS0,115200n8 rd.vconsole.keymap=fi rd.vconsole.font=ter-v32b rd.locale.LANG=en_US.UTF-8 vconsole.keymap=fi vconsole.font=ter-v32b locale.LANG=en_US.UTF-8 scsi_mod.use_blk_mq=Y rcu_nocbs=0-11 debug initrd=/boot/initramfs-4.15.16-300.fc27.x86_64+debug.img
[    0.000000] Memory: 1957568K/2096628K available (12300K kernel code, 3542K rwdata, 4144K rodata, 4784K init, 16632K bss, 139060K reserved, 0K cma-reserved)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=6, Nodes=1
[    0.000000] ftrace: allocating 36434 entries in 143 pages
[    0.001000] Running RCU self tests
[    0.001000] Hierarchical RCU implementation.
[    0.001000] 	RCU lockdep checking is enabled.
[    0.001000] 	RCU restricting CPUs from NR_CPUS=8192 to nr_cpu_ids=6.
[    0.001000] 	RCU callback double-/use-after-free debug enabled.
[    0.001000] 	Tasks RCU enabled.
[    0.001000] RCU: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=6
[    0.001000] NR_IRQS: 524544, nr_irqs: 472, preallocated irqs: 16
[    0.001000] 	Offload RCU callbacks from CPUs: .
[    0.001000] Console: colour VGA+ 80x25
[    0.001000] console [tty1] enabled
[    0.001000] console [ttyS0] enabled
[    0.001000] Lock dependency validator: Copyright (c) 2006 Red Hat, Inc., Ingo Molnar
[    0.001000] ... MAX_LOCKDEP_SUBCLASSES:  8
[    0.001000] ... MAX_LOCK_DEPTH:          48
[    0.001000] ... MAX_LOCKDEP_KEYS:        8191
[    0.001000] ... CLASSHASH_SIZE:          4096
[    0.001000] ... MAX_LOCKDEP_ENTRIES:     32768
[    0.001000] ... MAX_LOCKDEP_CHAINS:      65536
[    0.001000] ... CHAINHASH_SIZE:          32768
[    0.001000]  memory used by lock dependency info: 7903 kB
[    0.001000]  per task-struct memory footprint: 2688 bytes
[    0.001000] kmemleak: Kernel memory leak detector disabled
[    0.001000] ACPI: Core revision 20170831
[    0.001000] ACPI: 1 ACPI AML tables successfully acquired and loaded
[    0.001000] clocksource: hpet: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 19112604467 ns
[    0.001000] hpet clockevent registered
[    0.012002] APIC: Switch to symmetric I/O mode setup
[    0.013000] x2apic enabled
[    0.024002] Switched APIC routing to physical x2apic.
[    0.026000] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.036002] tsc: Detected 3600.212 MHz processor
[    0.047001] tsc: Marking TSC unstable due to TSCs unsynchronized
[    0.058001] Calibrating delay loop (skipped) preset value.. 7200.42 BogoMIPS (lpj=3600212)
[    0.081002] pid_max: default: 32768 minimum: 301
[    0.092001] Security Framework initialized
[    0.103001] Yama: becoming mindful.
[    0.114001] SELinux:  Initializing.
[    0.125001] SELinux:  Starting in permissive mode
[    0.137001] Dentry cache hash table entries: 262144 (order: 9, 2097152 bytes)
[    0.149002] Inode-cache hash table entries: 131072 (order: 8, 1048576 bytes)
[    0.161002] Mount-cache hash table entries: 4096 (order: 3, 32768 bytes)
[    0.173002] Mountpoint-cache hash table entries: 4096 (order: 3, 32768 bytes)
[    0.185001] mce: CPU supports 10 MCE banks
[    0.196001] Last level iTLB entries: 4KB 512, 2MB 255, 4MB 127
[    0.208001] Last level dTLB entries: 4KB 512, 2MB 255, 4MB 127, 1GB 0
[    0.220001] Spectre V2 : Spectre mitigation: LFENCE not serializing, switching to generic retpoline
[    0.232001] Spectre V2 : Mitigation: Full generic retpoline
[    0.243001] Spectre V2 : Spectre v2 mitigation: Enabling Indirect Branch Prediction Barrier
[    0.255002] Freeing SMP alternatives memory: 28K
[    0.257000] TSC deadline timer enabled
[    0.267003] smpboot: CPU0: AMD Ryzen 5 1600X Six-Core Processor (family: 0x17, model: 0x1, stepping: 0x1)
[    0.312003] Performance Events: AMD PMU driver.
[    0.334003] ... version:                0
[    0.345003] ... bit width:              48
[    0.356003] ... generic registers:      4
[    0.367003] ... value mask:             0000ffffffffffff
[    0.378003] ... max period:             00007fffffffffff
[    0.389003] ... fixed-purpose events:   0
[    0.400003] ... event mask:             000000000000000f
[    0.411002] Hierarchical SRCU implementation.
[    0.423004] smp: Bringing up secondary CPUs ...
[    0.435006] x86: Booting SMP configuration:
[    0.446003] .... node  #0, CPUs:      #1
[    0.001000] kvm-clock: cpu 1, msr 0:7d3d0041, secondary cpu clock
[    0.481000] KVM setup async PF for cpu 1
[    0.481000] kvm-stealtime: cpu 1, msr 7a1e4040
[    0.514004]  #2
[    0.001000] kvm-clock: cpu 2, msr 0:7d3d0081, secondary cpu clock
[    0.527000] KVM setup async PF for cpu 2
[    0.527000] kvm-stealtime: cpu 2, msr 7a3e4040
[    0.560004]  #3
[    0.001000] kvm-clock: cpu 3, msr 0:7d3d00c1, secondary cpu clock
[    0.573000] KVM setup async PF for cpu 3
[    0.573000] kvm-stealtime: cpu 3, msr 7a5e4040
[    0.606005]  #4
[    0.001000] kvm-clock: cpu 4, msr 0:7d3d0101, secondary cpu clock
[    0.619000] KVM setup async PF for cpu 4
[    0.619000] kvm-stealtime: cpu 4, msr 7a7e4040
[    0.652004]  #5
[    0.001000] kvm-clock: cpu 5, msr 0:7d3d0141, secondary cpu clock
[    0.665000] KVM setup async PF for cpu 5
[    0.665000] kvm-stealtime: cpu 5, msr 7a9e4040
[    0.697005] smp: Brought up 1 node, 6 CPUs
[    0.708004] smpboot: Max logical packages: 6
[    0.719005] smpboot: Total of 6 processors activated (43202.54 BogoMIPS)
[    0.732005] devtmpfs: initialized
[    0.743004] x86/mm: Memory block size: 128MB
[    0.756006] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 1911260446275000 ns
[    0.767083] futex hash table entries: 2048 (order: 6, 262144 bytes)
[    0.779058] pinctrl core: initialized pinctrl subsystem
[    0.791164] RTC time:  8:32:42, date: 04/17/18
[    0.803281] NET: Registered protocol family 16
[    0.815458] audit: initializing netlink subsys (disabled)
[    0.828005] audit: type=2000 audit(1523953957.928:1): state=initialized audit_enabled=0 res=1
[    0.839526] cpuidle: using governor menu
[    0.851281] ACPI: bus type PCI registered
[    0.862424] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    0.874252] PCI: Using configuration type 1 for base access
[    0.885355] PCI: Using configuration type 1 for extended access
[    0.902357] HugeTLB registered 1.00 GiB page size, pre-allocated 0 pages
[    0.914190] HugeTLB registered 2.00 MiB page size, pre-allocated 0 pages
[    0.927197] ACPI: Added _OSI(Module Device)
[    0.938485] ACPI: Added _OSI(Processor Device)
[    0.949416] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.960401] ACPI: Added _OSI(Processor Aggregator Device)
[    0.976365] ACPI: Interpreter enabled
[    0.987441] ACPI: (supports S0 S3 S4 S5)
[    0.998396] ACPI: Using IOAPIC for interrupt routing
[    1.009306] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[    1.012000] ACPI: Enabled 2 GPEs in block 00 to 0F
[    1.065243] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[    1.077000] acpi PNP0A03:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI]
[    1.089500] acpi PNP0A03:00: _OSC failed (AE_NOT_FOUND); disabling ASPM
[    1.102042] acpiphp: Slot [3] registered
[    1.113538] acpiphp: Slot [4] registered
[    1.124273] acpiphp: Slot [5] registered
[    1.135334] acpiphp: Slot [6] registered
[    1.146302] acpiphp: Slot [7] registered
[    1.157317] acpiphp: Slot [8] registered
[    1.168336] acpiphp: Slot [9] registered
[    1.179295] acpiphp: Slot [10] registered
[    1.190332] acpiphp: Slot [11] registered
[    1.201323] acpiphp: Slot [12] registered
[    1.212294] acpiphp: Slot [13] registered
[    1.223351] acpiphp: Slot [14] registered
[    1.234384] acpiphp: Slot [15] registered
[    1.245350] acpiphp: Slot [16] registered
[    1.256371] acpiphp: Slot [17] registered
[    1.267572] acpiphp: Slot [18] registered
[    1.278527] acpiphp: Slot [19] registered
[    1.289509] acpiphp: Slot [20] registered
[    1.300698] acpiphp: Slot [21] registered
[    1.311456] acpiphp: Slot [22] registered
[    1.322793] acpiphp: Slot [23] registered
[    1.333500] acpiphp: Slot [24] registered
[    1.344785] acpiphp: Slot [25] registered
[    1.355545] acpiphp: Slot [26] registered
[    1.367308] acpiphp: Slot [27] registered
[    1.378300] acpiphp: Slot [28] registered
[    1.389280] acpiphp: Slot [29] registered
[    1.400380] acpiphp: Slot [30] registered
[    1.411397] acpiphp: Slot [31] registered
[    1.422669] PCI host bridge to bus 0000:00
[    1.433533] pci_bus 0000:00: root bus resource [io  0x0000-0x0cf7 window]
[    1.445430] pci_bus 0000:00: root bus resource [io  0x0d00-0xffff window]
[    1.457177] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff window]
[    1.469249] pci_bus 0000:00: root bus resource [mem 0x80000000-0xfebfffff window]
[    1.482000] pci_bus 0000:00: root bus resource [mem 0x100000000-0x17fffffff window]
[    1.493625] pci_bus 0000:00: root bus resource [bus 00-ff]
[    1.504351] pci 0000:00:00.0: [8086:1237] type 00 class 0x060000
[    1.516422] pci 0000:00:01.0: [8086:7000] type 00 class 0x060100
[    1.528090] pci 0000:00:01.1: [8086:7010] type 00 class 0x010180
[    1.542930] pci 0000:00:01.1: reg 0x20: [io  0xc0c0-0xc0cf]
[    1.554183] pci 0000:00:01.1: legacy IDE quirk: reg 0x10: [io  0x01f0-0x01f7]
[    1.566920] pci 0000:00:01.1: legacy IDE quirk: reg 0x14: [io  0x03f6]
[    1.579005] pci 0000:00:01.1: legacy IDE quirk: reg 0x18: [io  0x0170-0x0177]
[    1.590928] pci 0000:00:01.1: legacy IDE quirk: reg 0x1c: [io  0x0376]
[    1.602975] pci 0000:00:01.3: [8086:7113] type 00 class 0x068000
[    1.614054] pci 0000:00:01.3: quirk: [io  0x0600-0x063f] claimed by PIIX4 ACPI
[    1.626769] pci 0000:00:01.3: quirk: [io  0x0700-0x070f] claimed by PIIX4 SMB
[    1.638935] pci 0000:00:02.0: [1b36:0100] type 00 class 0x030000
[    1.651451] pci 0000:00:02.0: reg 0x10: [mem 0xf4000000-0xf7ffffff]
[    1.664214] pci 0000:00:02.0: reg 0x14: [mem 0xf8000000-0xfbffffff]
[    1.677611] pci 0000:00:02.0: reg 0x18: [mem 0xfc070000-0xfc071fff]
[    1.691925] pci 0000:00:02.0: reg 0x1c: [io  0xc080-0xc09f]
[    1.708101] pci 0000:00:02.0: reg 0x30: [mem 0xfc060000-0xfc06ffff pref]
[    1.720900] pci 0000:00:03.0: [1af4:1005] type 00 class 0x00ff00
[    1.732060] pci 0000:00:03.0: reg 0x10: [io  0xc0a0-0xc0bf]
[    1.745126] pci 0000:00:03.0: reg 0x20: [mem 0xfebf8000-0xfebfbfff 64bit pref]
[    1.758579] pci 0000:00:04.0: [8086:100e] type 00 class 0x020000
[    1.770092] pci 0000:00:04.0: reg 0x10: [mem 0xfc040000-0xfc05ffff]
[    1.782986] pci 0000:00:04.0: reg 0x14: [io  0xc000-0xc03f]
[    1.796725] pci 0000:00:04.0: reg 0x30: [mem 0xfc000000-0xfc03ffff pref]
[    1.809502] pci 0000:00:05.0: [1af4:1003] type 00 class 0x078000
[    1.821053] pci 0000:00:05.0: reg 0x10: [io  0xc040-0xc07f]
[    1.833080] pci 0000:00:05.0: reg 0x14: [mem 0xfc072000-0xfc072fff]
[    1.847711] pci 0000:00:05.0: reg 0x20: [mem 0xfebfc000-0xfebfffff 64bit pref]
[    1.861705] ACPI: PCI Interrupt Link [LNKA] (IRQs 5 *10 11)
[    1.928293] ACPI: PCI Interrupt Link [LNKB] (IRQs 5 *10 11)
[    1.995059] ACPI: PCI Interrupt Link [LNKC] (IRQs 5 10 *11)
[    2.062526] ACPI: PCI Interrupt Link [LNKD] (IRQs 5 10 *11)
[    2.129108] ACPI: PCI Interrupt Link [LNKS] (IRQs *9)
[    2.166000] pci 0000:00:02.0: vgaarb: setting as boot VGA device
[    2.166000] pci 0000:00:02.0: vgaarb: VGA device added: decodes=io+mem,owns=io+mem,locks=none
[    2.199623] pci 0000:00:02.0: vgaarb: bridge control possible
[    2.210124] vgaarb: loaded
[    2.221265] SCSI subsystem initialized
[    2.232380] libata version 3.00 loaded.
[    2.243430] ACPI: bus type USB registered
[    2.254468] usbcore: registered new interface driver usbfs
[    2.266322] usbcore: registered new interface driver hub
[    2.278502] usbcore: registered new device driver usb
[    2.290188] EDAC MC: Ver: 3.0.0
[    2.302238] PCI: Using ACPI for IRQ routing
[    2.313268] PCI: pci_cache_line_size set to 64 bytes
[    2.325181] e820: reserve RAM buffer [mem 0x0009fc00-0x0009ffff]
[    2.336322] e820: reserve RAM buffer [mem 0x7ffdf000-0x7fffffff]
[    2.348323] NetLabel: Initializing
[    2.359572] NetLabel:  domain hash size = 128
[    2.370649] NetLabel:  protocols = UNLABELED CIPSOv4 CALIPSO
[    2.381329] NetLabel:  unlabeled traffic allowed by default
[    2.393446] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
[    2.448390] hpet0: 3 comparators, 64-bit 100.000000 MHz counter
[    2.464014] clocksource: Switched to clocksource kvm-clock
[    2.522009] VFS: Disk quotas dquot_6.6.0
[    2.533009] VFS: Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    2.545008] pnp: PnP ACPI init
[    2.556010] pnp 00:00: Plug and Play ACPI device, IDs PNP0b00 (active)
[    2.569010] pnp 00:01: Plug and Play ACPI device, IDs PNP0303 (active)
[    2.581009] pnp 00:02: Plug and Play ACPI device, IDs PNP0f13 (active)
[    2.593010] pnp 00:03: [dma 2]
[    2.605008] pnp 00:03: Plug and Play ACPI device, IDs PNP0700 (active)
[    2.617010] pnp 00:04: Plug and Play ACPI device, IDs PNP0400 (active)
[    2.629009] pnp 00:05: Plug and Play ACPI device, IDs PNP0501 (active)
[    2.641008] pnp: PnP ACPI: found 6 devices
[    2.662009] clocksource: acpi_pm: mask: 0xffffff max_cycles: 0xffffff, max_idle_ns: 2085701024 ns
[    2.674009] pci_bus 0000:00: resource 4 [io  0x0000-0x0cf7 window]
[    2.685011] pci_bus 0000:00: resource 5 [io  0x0d00-0xffff window]
[    2.697009] pci_bus 0000:00: resource 6 [mem 0x000a0000-0x000bffff window]
[    2.708009] pci_bus 0000:00: resource 7 [mem 0x80000000-0xfebfffff window]
[    2.720015] pci_bus 0000:00: resource 8 [mem 0x100000000-0x17fffffff window]
[    2.732008] NET: Registered protocol family 2
[    2.749010] TCP established hash table entries: 16384 (order: 5, 131072 bytes)
[    2.761009] TCP bind hash table entries: 16384 (order: 8, 1310720 bytes)
[    2.773009] TCP: Hash tables configured (established 16384 bind 16384)
[    2.785010] UDP hash table entries: 1024 (order: 5, 196608 bytes)
[    2.797009] UDP-Lite hash table entries: 1024 (order: 5, 196608 bytes)
[    2.809009] NET: Registered protocol family 1
[    2.820011] pci 0000:00:00.0: Limiting direct PCI/PCI transfers
[    2.832010] pci 0000:00:01.0: PIIX3: Enabling Passive Release
[    2.844010] pci 0000:00:01.0: Activating ISA DMA hang workarounds
[    2.856010] pci 0000:00:02.0: Video device with shadowed ROM at [mem 0x000c0000-0x000dffff]
[    2.868016] PCI: CLS 0 bytes, default 64
[    2.880008] Unpacking initramfs...
[    3.411018] Freeing initrd memory: 44428K
[    3.442010] DMA-API: preallocated 65536 debug entries
[    3.454008] DMA-API: debugging enabled by kernel config
[    3.465014] clocksource: tsc: mask: 0xffffffffffffffff max_cycles: 0x33e51c29f0d, max_idle_ns: 440795380218 ns
[    3.479012] Scanning for low memory corruption every 60 seconds
[    3.491011] cryptomgr_test (67) used greatest stack depth: 14504 bytes left
[    3.492008] Initialise system trusted keyrings
[    3.503016] Key type blacklist registered
[    3.515009] workingset: timestamp_bits=36 max_order=19 bucket_order=0
[    3.530012] zbud: loaded
[    3.543008] SELinux:  Registering netfilter hooks
[    3.626011] cryptomgr_test (69) used greatest stack depth: 13944 bytes left
[    3.656015] cryptomgr_test (89) used greatest stack depth: 13768 bytes left
[    3.668014] cryptomgr_test (84) used greatest stack depth: 12984 bytes left
[    3.674014] NET: Registered protocol family 38
[    3.685016] Key type asymmetric registered
[    3.696021] Asymmetric key parser 'x509' registered
[    3.707017] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 247)
[    3.719017] io scheduler noop registered
[    3.730016] io scheduler deadline registered
[    3.741034] io scheduler cfq registered (default)
[    3.752034] io scheduler mq-deadline registered
[    3.764018] atomic64_test: passed for x86-64 platform with CX8 and with SSE
[    3.776032] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
[    3.788019] ACPI: Power Button [PWRF]
[    3.800010] Serial: 8250/16550 driver, 32 ports, IRQ sharing enabled
[    3.834016] 00:05: ttyS0 at I/O 0x3f8 (irq = 4, base_baud = 115200) is a 16550A
[    3.852008] Non-volatile memory driver v1.3
[    3.864008] Linux agpgart interface v0.103
[    3.877010] ata_piix 0000:00:01.1: version 2.13
[    3.890010] scsi host0: ata_piix
[    3.902009] scsi host1: ata_piix
[    3.913009] ata1: PATA max MWDMA2 cmd 0x1f0 ctl 0x3f6 bmdma 0xc0c0 irq 14
[    3.925010] ata2: PATA max MWDMA2 cmd 0x170 ctl 0x376 bmdma 0xc0c8 irq 15
[    3.937009] libphy: Fixed MDIO Bus: probed
[    3.948009] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    3.960009] ehci-pci: EHCI PCI platform driver
[    3.971011] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    3.983011] ohci-pci: OHCI PCI platform driver
[    3.994009] uhci_hcd: USB Universal Host Controller Interface driver
[    4.006011] usbcore: registered new interface driver usbserial_generic
[    4.018012] usbserial: USB Serial support registered for generic
[    4.030010] i8042: PNP: PS/2 Controller [PNP0303:KBD,PNP0f13:MOU] at 0x60,0x64 irq 1,12
[    4.044026] serio: i8042 KBD port at 0x60,0x64 irq 1
[    4.055027] serio: i8042 AUX port at 0x60,0x64 irq 12
[    4.067016] mousedev: PS/2 mouse device common for all mice
[    4.079021] rtc_cmos 00:00: RTC can wake from S4
[    4.090013] ata2.01: NODEV after polling detection
[    4.091016] rtc_cmos 00:00: rtc core: registered rtc_cmos as rtc0
[    4.091028] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input1
[    4.102013] ata1.01: NODEV after polling detection
[    4.103022] input: VirtualPS/2 VMware VMMouse as /devices/platform/i8042/serio1/input/input4
[    4.106018] rtc_cmos 00:00: alarms up to one day, y3k, 114 bytes nvram, hpet irqs
[    4.114013] ata2.00: ATAPI: QEMU DVD-ROM, 2.5+, max UDMA/100
[    4.116015] input: VirtualPS/2 VMware VMMouse as /devices/platform/i8042/serio1/input/input3
[    4.118018] device-mapper: uevent: version 1.0.3
[    4.126015] ata1.00: ATA-7: QEMU HARDDISK, 2.5+, max UDMA/100
[    4.130017] device-mapper: ioctl: 4.37.0-ioctl (2017-09-20) initialised: dm-devel@redhat.com
[    4.138015] ata1.00: 50331648 sectors, multi 16: LBA48 
[    4.142009] hidraw: raw HID events driver (C) Jiri Kosina
[    4.150013] ata1.00: configured for MWDMA2
[    4.154011] usbcore: registered new interface driver usbhid
[    4.161012] ata2.00: configured for MWDMA2
[    4.162021] scsi 0:0:0:0: Direct-Access     ATA      QEMU HARDDISK    2.5+ PQ: 0 ANSI: 5
[    4.166011] usbhid: USB HID core driver
[    4.175019] sd 0:0:0:0: [sda] 50331648 512-byte logical blocks: (25.8 GB/24.0 GiB)
[    4.175025] sd 0:0:0:0: Attached scsi generic sg0 type 0
[    4.178014] drop_monitor: Initializing network drop monitor service
[    4.188019] sd 0:0:0:0: [sda] Write Protect is off
[    4.190014] ip_tables: (C) 2000-2006 Netfilter Core Team
[    4.200010] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    4.202013] scsi 1:0:0:0: CD-ROM            QEMU     QEMU DVD-ROM     2.5+ PQ: 0 ANSI: 5
[    4.211009] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    4.223011] Initializing XFRM netlink socket
[    4.225017]  sda: sda1
[    4.235011] NET: Registered protocol family 10
[    4.237015] sd 0:0:0:0: [sda] Attached SCSI disk
[    4.250016] sr 1:0:0:0: [sr0] scsi3-mmc drive: 4x/4x cd/rw xa/form2 tray
[    4.257015] Segment Routing with IPv6
[    4.262017] cdrom: Uniform CD-ROM driver Revision: 3.20
[    4.268015] mip6: Mobile IPv6
[    4.275011] sr 1:0:0:0: Attached scsi CD-ROM sr0
[    4.279017] NET: Registered protocol family 17
[    4.287011] sr 1:0:0:0: Attached scsi generic sg1 type 5
[    4.291012] start plist test
[    4.303014] end plist test
[    4.316010] RAS: Correctable Errors collector initialized.
[    4.328008] AVX2 version of gcm_enc/dec engaged.
[    4.339010] AES CTR mode by8 optimization enabled
[    4.373034] sched_clock: Marking stable (4362492280, 0)->(28928250075, -24565757795)
[    4.386033] registered taskstats version 1
[    4.397033] Loading compiled-in X.509 certificates
[    4.436029] Loaded X.509 cert 'Fedora kernel signing key: 25299cdd31283a2847147a2415982a0e0612e7b6'
[    4.448030] zswap: loaded using pool lzo/zbud
[    4.466013] Key type big_key registered
[    4.481029] Key type encrypted registered
[    4.493032]   Magic number: 14:588:523
[    4.505035] rtc_cmos 00:00: setting system clock to 2018-04-17 08:32:46 UTC (1523953966)
[    4.523034] Freeing unused kernel memory: 4784K
[    4.534033] Write protecting the kernel read-only data: 20480k
[    4.547037] Freeing unused kernel memory: 2024K
[    4.563035] Freeing unused kernel memory: 2000K
[    4.578034] x86/mm: Checked W+X mappings: passed, no W+X pages found.
[    4.590033] rodata_test: all tests were successful
[    4.610914] systemd[1]: Mounting cgroup to /sys/fs/cgroup/hugetlb of type cgroup with options hugetlb.
[    4.613139] systemd[1]: Mounting cgroup to /sys/fs/cgroup/perf_event of type cgroup with options perf_event.
[    4.615224] systemd[1]: Mounting cgroup to /sys/fs/cgroup/net_cls,net_prio of type cgroup with options net_cls,net_prio.
[    4.617437] systemd[1]: Mounting cgroup to /sys/fs/cgroup/devices of type cgroup with options devices.
[    4.619325] systemd[1]: Mounting cgroup to /sys/fs/cgroup/memory of type cgroup with options memory.
[    4.622837] systemd[1]: Mounting cgroup to /sys/fs/cgroup/cpu,cpuacct of type cgroup with options cpu,cpuacct.
[    4.625236] systemd[1]: Mounting cgroup to /sys/fs/cgroup/pids of type cgroup with options pids.
[    4.627169] systemd[1]: Mounting cgroup to /sys/fs/cgroup/freezer of type cgroup with options freezer.
[    4.628983] systemd[1]: Mounting cgroup to /sys/fs/cgroup/blkio of type cgroup with options blkio.
[    4.631346] systemd[1]: Mounting cgroup to /sys/fs/cgroup/cpuset of type cgroup with options cpuset.
[    4.651243] systemd-fstab-generator[193]: Found entry what=/dev/disk/by-uuid/bd6e33c8-b203-47d3-ba11-032f3e23269e where=/sysroot type=n/a
[    4.653704] systemd-fstab-generator[193]: Creating /run/systemd/generator/systemd-fsck-root.service
[    4.655388] systemd-fstab-generator[193]: Parsing /etc/fstab
[    4.656387] systemd-fstab-generator[193]: Parsing /sysroot/etc/fstab
[    4.743314] systemd-journald[230]: Fixed min_use=1.0M max_use=98.1M max_size=12.2M min_size=512.0K keep_free=147.2M n_max_files=100
[    4.746955] audit: type=1130 audit(1523953966.752:2): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-vconsole-setup comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
[    4.750619] systemd-journald[230]: Reserving 22343 entries in hash table.
[    4.750851] systemd-journald[230]: Vacuuming...
[    4.750880] systemd-journald[230]: Vacuuming done, freed 0B of archived journals from /run/log/journal/1147d52868fc401eb2579de690d54f34.
[    4.750891] systemd-journald[230]: Flushing /dev/kmsg...
[    4.759725] audit: type=1130 audit(1523953966.765:3): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=kmod-static-nodes comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    4.764132] audit: type=1130 audit(1523953966.770:4): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-tmpfiles-setup comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    4.769463] audit: type=1130 audit(1523953966.774:5): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-sysctl comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    4.780346] systemd-journald[230]: systemd-journald running as pid 230
[    4.782201] systemd-journald[230]: Sent READY=1 notification.
[    4.784341] systemd-journald[230]: Sent WATCHDOG=1 notification.
[    4.784802] systemd-journald[230]: Successfully sent stream file descriptor to service manager.
[    4.785255] systemd-journald[230]: Successfully sent stream file descriptor to service manager.
[    4.791787] audit: type=1130 audit(1523953966.797:6): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-tmpfiles-setup-dev comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    4.797059] audit: type=1130 audit(1523953966.802:7): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-journald comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    4.917985] audit: type=1130 audit(1523953966.923:8): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=dracut-cmdline comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    4.935735] Loading iSCSI transport class v2.0-870.
[    4.941043] audit: type=1130 audit(1523953966.946:9): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=iscsid comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    4.976296] RPC: Registered named UNIX socket transport module.
[    4.977441] RPC: Registered udp transport module.
[    4.978298] RPC: Registered tcp transport module.
[    4.979059] RPC: Registered tcp NFSv4.1 backchannel transport module.
[    5.057885] audit: type=1130 audit(1523953967.063:10): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=dracut-pre-udev comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    5.391352] e1000: Intel(R) PRO/1000 Network Driver - version 7.3.21-k8-NAPI
[    5.391354] e1000: Copyright (c) 1999-2006 Intel Corporation.
[    5.612143] ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 11
[    5.615386] random: crng init done
[    5.761690] ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 10
[    5.909896] ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 11
[    6.227090] e1000 0000:00:04.0 eth0: (PCI:33MHz:32-bit) 52:54:00:12:34:56
[    6.228424] e1000 0000:00:04.0 eth0: Intel(R) PRO/1000 Network Connection
[    6.238251] 8021q: 802.1Q VLAN Support v1.8
[    6.242823] e1000 0000:00:04.0 ens4: renamed from eth0
[    6.368250] ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 10
[    6.369652] [drm] Device Version 0.0
[    6.370412] [drm] Compression level 0 log level 0
[    6.371332] [drm] 12286 io pages at offset 0x1000000
[    6.372276] [drm] 16777216 byte draw area at offset 0x0
[    6.373252] [drm] RAM header offset: 0x3ffe000
[    6.374509] [TTM] Zone  kernel: Available graphics memory: 1005416 kiB
[    6.375666] [TTM] Initializing pool allocator
[    6.376606] [TTM] Initializing DMA pool allocator
[    6.378400] [drm] qxl: 16M of VRAM memory size
[    6.379356] [drm] qxl: 63M of IO pages memory ready (VRAM domain)
[    6.380441] [drm] qxl: 64M of Surface memory size
[    6.394177] [drm] main mem slot 1 [f4000000,3ffe000]
[    6.395367] [drm] surface mem slot 2 [f8000000,4000000]
[    6.398308] [drm] fb mappable at 0xF4000000, size 3145728
[    6.399417] [drm] fb: depth 24, pitch 4096, width 1024, height 768
[    6.401068] fbcon: qxldrmfb (fb0) is primary device
[    6.466108] Console: switching to colour frame buffer device 128x48
[    6.471290] qxl 0000:00:02.0: fb0: qxldrmfb frame buffer device
[    6.481747] [drm] Initialized qxl 0.1.0 20120117 for 0000:00:02.0 on minor 0
[    6.498530] systemd-udevd (493) used greatest stack depth: 12328 bytes left
[    6.500082] systemd-udevd (486) used greatest stack depth: 11920 bytes left
[    6.506717] kauditd_printk_skb: 4 callbacks suppressed
[    6.506719] audit: type=1130 audit(1523953968.510:15): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=dracut-initqueue comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    6.529419] audit: type=1130 audit(1523953968.535:16): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=dracut-pre-mount comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    6.605133] audit: type=1130 audit(1523953968.611:17): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-fsck-root comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    6.625403] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null)
[    6.654155] systemd-fstab-generator[554]: Found entry what=/dev/disk/by-uuid/bd6e33c8-b203-47d3-ba11-032f3e23269e where=/sysroot type=n/a
[    6.659700] systemd-fstab-generator[554]: Creating /run/systemd/generator/systemd-fsck-root.service
[    6.662971] systemd-fstab-generator[554]: Parsing /etc/fstab
[    6.665077] systemd-fstab-generator[554]: Parsing /sysroot/etc/fstab
[    6.746328] audit: type=1130 audit(1523953968.752:18): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=initrd-parse-etc comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    6.746338] audit: type=1131 audit(1523953968.752:19): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=initrd-parse-etc comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    6.803096] audit: type=1130 audit(1523953968.808:20): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=dracut-mount comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    7.020043] audit: type=1130 audit(1523953969.025:21): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=dracut-pre-pivot comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    7.043762] audit: type=1131 audit(1523953969.049:22): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=dracut-pre-pivot comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    7.060996] audit: type=1130 audit(1523953969.066:23): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-sysctl comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    7.065163] audit: type=1131 audit(1523953969.066:24): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=systemd-sysctl comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[    7.212610] systemd-journal: 35 output lines suppressed due to ratelimiting
[    7.305803] systemd: 345 output lines suppressed due to ratelimiting
[    7.391319] SELinux:  Disabled at runtime.
[    7.393930] SELinux:  Unregistering netfilter hooks
[    7.493992] systemd-gpt-auto-generator[639]: /dev/sda1: root device /dev/sda.
[    7.494780] systemd-fstab-generator[637]: Parsing /etc/fstab
[    7.494845] systemd-fstab-generator[637]: Found entry what=/dev/disk/by-uuid/bd6e33c8-b203-47d3-ba11-032f3e23269e where=/ type=ext4 nofail=no noauto=no
[    7.504298] systemd-getty-generator[638]: Automatically adding serial getty for /dev/ttyS0.
[    7.510353] systemd-rc-local-generator[641]: Automatically adding rc-local.service.
[    7.529562] systemd-sysv-generator[643]: Cannot find unit network.service.
[    7.534292] systemd-sysv-generator[643]: Cannot find unit netconsole.service.
[    7.538189] systemd-sysv-generator[643]: Cannot find unit htb.service.
[    7.546512] systemd-sysv-generator[643]: Loading SysV script /etc/rc.d/init.d/network
[    7.550900] systemd-sysv-generator[643]: Loading SysV script /etc/rc.d/init.d/netconsole
[    7.552413] systemd-gpt-auto-generator[639]: No suitable partition table found, ignoring.
[    7.557933] kdump-dep-gener (629) used greatest stack depth: 11736 bytes left
[    7.562470] systemd-sysv-generator[643]: Loading SysV script /etc/rc.d/init.d/htb
[    7.792482] systemd-journald[647]: Fixed min_use=1.0M max_use=98.1M max_size=12.2M min_size=512.0K keep_free=147.2M n_max_files=100
[    7.798532] io scheduler bfq registered
[    7.799517] systemd-journald[647]: Reserving 22343 entries in hash table.
[    7.800239] systemd-journald[647]: Vacuuming...
[    7.800291] systemd-journald[647]: Vacuuming done, freed 0B of archived journals from /run/log/journal/7245d72979598396f6413f4ac8029f7f.
[    7.800333] systemd-journald[647]: Flushing /dev/kmsg...
[    7.802640] systemd-journald[647]: systemd-journald running as pid 647
[    7.803714] systemd-journald[647]: Sent READY=1 notification.
[    7.803816] systemd-journald[647]: Sent WATCHDOG=1 notification.
[    7.804951] systemd-journald[647]: Successfully sent stream file descriptor to service manager.
[    7.830245] systemd-journald[647]: Successfully sent stream file descriptor to service manager.
[    7.873430] EXT4-fs (sda1): re-mounted. Opts: (null)
[    8.354092] systemd[1]: Got disconnect on private connection.
[    8.366079] systemd[1]: Received SIGCHLD from PID 666 (journalctl).
[    8.378063] systemd[1]: Child 666 (journalctl) died (code=exited, status=0/SUCCESS)
[    8.390105] systemd[1]: systemd-journal-flush.service: Child 666 belongs to systemd-journal-flush.service
[    8.415067] systemd[1]: systemd-journal-flush.service: Changed start -> exited
[    8.428081] systemd[1]: systemd-journal-flush.service: Job systemd-journal-flush.service/start finished, result=done
[    8.457073] systemd[1]: systemd-journald.service: Received EPOLLHUP on stored fd 52 (stored), closing.
[    8.865786] parport_pc 00:04: reported by Plug and Play ACPI
[    8.868813] piix4_smbus 0000:00:01.3: SMBus Host Controller at 0x700, revision 0
[    8.875557] parport0: PC-style at 0x378, irq 7 [PCSPP,TRISTATE]
[    9.005058] systemd[1]: systemd-binfmt.service: Installed new job systemd-binfmt.service/start as 322
[    9.018067] systemd[1]: systemd-tmpfiles-setup.service: Merged into installed job systemd-tmpfiles-setup.service/start as 176
[    9.480119] kvm: Nested Virtualization enabled
[    9.482480] kvm: Nested Paging enabled
[    9.489691] Decoding supported only on Scalable MCA processors.
[    9.519605] Decoding supported only on Scalable MCA processors.
[    9.526242] amd64_edac_mod: Unknown symbol amd_unregister_ecc_decoder (err -2)
[    9.528978] amd64_edac_mod: Unknown symbol amd_register_ecc_decoder (err -2)
[    9.531658] amd64_edac_mod: Unknown symbol amd_report_gart_errors (err -2)
[    9.547151] amd64_edac_mod: Unknown symbol amd_unregister_ecc_decoder (err 0)
[    9.549784] amd64_edac_mod: Unknown symbol amd_register_ecc_decoder (err 0)
[    9.552456] amd64_edac_mod: Unknown symbol amd_report_gart_errors (err 0)
[    9.564570] amd64_edac_mod: Unknown symbol amd_unregister_ecc_decoder (err 0)
[    9.567521] amd64_edac_mod: Unknown symbol amd_register_ecc_decoder (err 0)
[    9.570605] amd64_edac_mod: Unknown symbol amd_report_gart_errors (err 0)
[    9.571069] ppdev: user-space parallel port driver
[    9.599120] amd64_edac_mod: Unknown symbol amd_unregister_ecc_decoder (err 0)
[    9.601987] amd64_edac_mod: Unknown symbol amd_register_ecc_decoder (err 0)
[    9.605623] amd64_edac_mod: Unknown symbol amd_report_gart_errors (err 0)
[   10.604554] IPv6: ADDRCONF(NETDEV_UP): ens4: link is not ready
[   10.612248] IPv6: ADDRCONF(NETDEV_UP): ens4: link is not ready
[   10.612859] e1000: ens4 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX
[   10.617585] 8021q: adding VLAN 0 to HW filter on device ens4
[   10.620209] IPv6: ADDRCONF(NETDEV_CHANGE): ens4: link becomes ready
[   12.227066] nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
[   12.624625] ip6_tables: (C) 2000-2006 Netfilter Core Team
[   12.727720] Ebtables v2.0 registered
[   13.067970] bridge: filtering via arp/ip/ip6tables is no longer available by default. Update your scripts to load br_netfilter if you need this.
[   13.080352] tun: Universal TUN/TAP device driver, 1.6
[   13.085248] virbr0: port 1(virbr0-nic) entered blocking state
[   13.086425] virbr0: port 1(virbr0-nic) entered disabled state
[   13.087659] device virbr0-nic entered promiscuous mode
[   13.218888] virbr0: port 1(virbr0-nic) entered blocking state
[   13.219900] virbr0: port 1(virbr0-nic) entered listening state
[   13.245680] systemd-journald[647]: Successfully sent stream file descriptor to service manager.
[   13.261335] systemd-journald[647]: Successfully sent stream file descriptor to service manager.
[   13.314709] virbr0: port 1(virbr0-nic) entered disabled state
[   13.332638] systemd-journald[647]: Successfully sent stream file descriptor to service manager.
[   13.404171] systemd-journald[647]: Successfully sent stream file descriptor to service manager.
[   13.540006] systemd-journald[647]: Successfully sent stream file descriptor to service manager.
[   13.630275] systemd-journald[647]: Successfully sent stream file descriptor to service manager.
[   13.687940] systemd-journald[647]: Successfully sent stream file descriptor to service manager.
[   13.753160] fuse init (API version 7.26)
[   43.755559] BUG: sleeping function called from invalid context at kernel/locking/mutex.c:747
[   43.756678] in_atomic(): 1, irqs_disabled(): 0, pid: 1100, name: Xorg
[   43.757475] 4 locks held by Xorg/1100:
[   43.757921]  #0:  (crtc_ww_class_acquire){+.+.}, at: [<000000000d7901c5>] drm_mode_cursor_common+0x90/0x210 [drm]
[   43.759177]  #1:  (crtc_ww_class_mutex){+.+.}, at: [<0000000038731406>] drm_modeset_lock+0x109/0x130 [drm]
[   43.760323]  #2:  (reservation_ww_class_acquire){+.+.}, at: [<0000000088c15bed>] qxl_release_reserve_list+0x51/0x110 [qxl]
[   43.761549]  #3:  (reservation_ww_class_mutex){+.+.}, at: [<00000000d9ec5440>] ttm_eu_reserve_buffers+0x31f/0x5c0 [ttm]
[   43.762844] CPU: 5 PID: 1100 Comm: Xorg Not tainted 4.15.16-300.fc27.x86_64+debug #1
[   43.763758] Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS 1.10.2-2.fc27 04/01/2014
[   43.764805] Call Trace:
[   43.765130]  dump_stack+0x85/0xbf
[   43.765528]  ___might_sleep+0x15b/0x240
[   43.765989]  __mutex_lock+0x56/0xa40
[   43.766415]  ? _raw_spin_unlock_irqrestore+0x32/0x60
[   43.767045]  ? trace_hardirqs_on_caller+0xed/0x180
[   43.767663]  ? debug_check_no_obj_freed+0x15c/0x244
[   43.768240]  ? qxl_surface_evict+0x25/0x60 [qxl]
[   43.768814]  qxl_surface_evict+0x25/0x60 [qxl]
[   43.769355]  qxl_gem_object_free+0x37/0x60 [qxl]
[   43.769893]  qxl_bo_unref+0x1d/0x30 [qxl]
[   43.770371]  qxl_cursor_atomic_update+0x26f/0x2c0 [qxl]
[   43.771084]  drm_atomic_helper_commit_planes+0xdf/0x220 [drm_kms_helper]
[   43.772000]  drm_atomic_helper_commit_tail+0x26/0x60 [drm_kms_helper]
[   43.772762]  commit_tail+0x63/0x70 [drm_kms_helper]
[   43.773532]  drm_atomic_helper_commit+0xdf/0x150 [drm_kms_helper]
[   43.774241]  drm_atomic_helper_update_plane+0xf2/0x110 [drm_kms_helper]
[   43.775037]  __setplane_internal+0x204/0x290 [drm]
[   43.775617]  drm_mode_cursor_universal+0xeb/0x1f0 [drm]
[   43.776238]  drm_mode_cursor_common+0x1a1/0x210 [drm]
[   43.776774]  ? drm_mode_cursor_ioctl+0x70/0x70 [drm]
[   43.777554]  drm_ioctl_kernel+0x5b/0xb0 [drm]
[   43.778078]  drm_ioctl+0x2d5/0x370 [drm]
[   43.778551]  ? drm_mode_cursor_ioctl+0x70/0x70 [drm]
[   43.779327]  do_vfs_ioctl+0xa5/0x6e0
[   43.779795]  ? __fget+0x111/0x200
[   43.780200]  SyS_ioctl+0x74/0x80
[   43.780602]  do_syscall_64+0x79/0x220
[   43.781079]  entry_SYSCALL_64_after_hwframe+0x42/0xb7
[   43.781849] RIP: 0033:0x7fdaa33e60f7
[   43.782280] RSP: 002b:00007ffc922bf2d8 EFLAGS: 00003246 ORIG_RAX: 0000000000000010
[   43.783206] RAX: ffffffffffffffda RBX: 000000000247ecb0 RCX: 00007fdaa33e60f7
[   43.784059] RDX: 00007ffc922bf310 RSI: 00000000c02464bb RDI: 000000000000000e
[   43.784905] RBP: 00007ffc922bf310 R08: 0000000000000040 R09: 0000000000000004
[   43.785916] R10: 0000000000000040 R11: 0000000000003246 R12: 00000000c02464bb
[   43.786755] R13: 000000000000000e R14: 0000000000000040 R15: 00007ffc922bf3e4
[   46.167326] systemd-journald[647]: Successfully sent stream file descriptor to service manager.
[   46.220950] systemd-journald[647]: Successfully sent stream file descriptor to service manager.
[   47.694775] htb: fq qdisc 120: is non-work-conserving?
[  106.220467] systemd-journald[647]: Sent WATCHDOG=1 notification.


Version-Release number of selected component (if applicable):
4.15.16-300.fc27.x86_64+debug

How reproducible:

Quite.

Steps to Reproduce:
1. qemu-system-x86_64 -drive file=fedora27.img,format=raw -enable-kvm -m 2048 -cpu host -smp 6 -device e1000,netdev=user.0 -netdev user,id=user.0,hostfwd=tcp::22001-:22 -vga qxl -device virtio-serial-pci -device virtserialport,chardev=spicechannel0,name=com.redhat.spice.0 -chardev spicevmc,id=spicechannel0,name=vdagent -spice unix,addr=/tmp/vm_spice.socket,disable-ticketing &
2. remote-viewer spice+unix:///tmp/vm_spice.socket
3.

Actual results:
As written earlier.

Expected results:
No calling sleeping function while in atomic operation.

Additional info:

Comment 1 Justin M. Forbes 2018-07-23 15:16:39 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 2 Justin M. Forbes 2018-08-29 15:11:19 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.